.active {
    display: block;
}

.hide {
    display: none;
}

.modal-wrapper {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #000;
    background-color: rgba(0,0,0, 0.8);
    z-index: 1;

    .modal {
        width: 520px;
        padding-bottom: 23px;
        background-color: #449400;
        border-radius: 4px;
        overflow: hidden;
        .headline-wrapper {
            box-sizing: border-box;
            width: 100%;
            background-color: rgba(0,0,0, 0.1);
            padding-left: 30px;
            padding-right: 30px;
            padding-top: 26px;
            padding-bottom: 26px;
            font-size: 22px;
            font-weight: normal;
            display: flex;
            justify-content: space-between;
            align-items: center;
            .close {
                opacity: 0.6;
                padding: 1px;
                transition: all .2s ease;
            }
            .close:hover {
                opacity: 1;
            }
        }
        .main-text {
            text-align: center;
            font-size: 15px;
            font-weight: 500;
            padding: 40px;
            white-space: pre-line;
            line-height: 2;
        }
        .button-wrapper {
            display: flex;
            justify-content: center;
            button {
                background-color: rgba(0,0,0, 0.6);
                border: 0;
                min-width: 100px;
                height: 35px;
                font-size: 15px;
                color: #fff;
                border-radius: 3px;
                margin: 0;
                padding: 0;
                padding-left: 25px;
                padding-right: 25px;
                margin-left: 5px;
                margin-right: 5px;
                cursor: pointer;
                transition: all .2s ease;
            }
            button:hover {
                background-color: rgba(0,0,0, 0.8)
            }
        }
    }
}